Index: trunk/LMDZ.GENERIC/libf/phystd/physiq.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1470)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1477)
@@ -2001,32 +1898,36 @@
             call wstats(ngrid,"sea_ice","sea ice","kg/m2",2,sea_ice)
             call wstats(ngrid,"rnat","nature of the surface","",2,rnat)
-           endif! (ok_slab_ocean)
-
-            if(lastcall) then
-              write (*,*) "Writing stats..."
-              call mkstats(ierr)
-            endif
-          endif !if callstats
-
-
-!        ----------------------------------------------------------------------
-!        output in netcdf file "DIAGFI", containing any variable for diagnostic
-!        (output with  period "ecritphy", set in "run.def")
-!        ----------------------------------------------------------------------
-!        writediagfi can also be called from any other subroutine for any variable.
-!        but its preferable to keep all the calls in one place...
-
-        call writediagfi(ngrid,"Ls","solar longitude","deg",0,zls*180./pi)
-	call writediagfi(ngrid,"Lss","sub solar longitude","deg",0,zlss*180./pi)
-	call writediagfi(ngrid,"RA","right ascension","deg",0,right_ascen*180./pi)
-	call writediagfi(ngrid,"Declin","solar declination","deg",0,declin*180./pi)
-        call writediagfi(ngrid,"tsurf","Surface temperature","K",2,tsurf)
-        call writediagfi(ngrid,"ps","Surface pressure","Pa",2,ps)
-        call writediagfi(ngrid,"temp","temperature","K",3,zt)
-        call writediagfi(ngrid,"teta","potential temperature","K",3,zh)
-        call writediagfi(ngrid,"u","Zonal wind","m.s-1",3,zu)
-        call writediagfi(ngrid,"v","Meridional wind","m.s-1",3,zv)
-        call writediagfi(ngrid,"w","Vertical wind","m.s-1",3,pw)
-        call writediagfi(ngrid,"p","Pressure","Pa",3,pplay)
+         endif
+
+         if(lastcall) then
+            write (*,*) "Writing stats..."
+            call mkstats(ierr)
+         endif
+         
+      endif ! end of 'callstats'
+
+
+!-----------------------------------------------------------------------------------------------------
+!           OUTPUT in netcdf file "DIAGFI.NC", containing any variable for diagnostic
+!
+!             Note 1 : output with  period "ecritphy", set in "run.def"
+!
+!             Note 2 : writediagfi can also be called from any other subroutine for any variable,
+!                      but its preferable to keep all the calls in one place ...
+!-----------------------------------------------------------------------------------------------------
+
+
+      call writediagfi(ngrid,"Ls","solar longitude","deg",0,zls*180./pi)
+      call writediagfi(ngrid,"Lss","sub solar longitude","deg",0,zlss*180./pi)
+      call writediagfi(ngrid,"RA","right ascension","deg",0,right_ascen*180./pi)
+      call writediagfi(ngrid,"Declin","solar declination","deg",0,declin*180./pi)
+      call writediagfi(ngrid,"tsurf","Surface temperature","K",2,tsurf)
+      call writediagfi(ngrid,"ps","Surface pressure","Pa",2,ps)
+      call writediagfi(ngrid,"temp","temperature","K",3,zt)
+      call writediagfi(ngrid,"teta","potential temperature","K",3,zh)
+      call writediagfi(ngrid,"u","Zonal wind","m.s-1",3,zu)
+      call writediagfi(ngrid,"v","Meridional wind","m.s-1",3,zv)
+      call writediagfi(ngrid,"w","Vertical wind","m.s-1",3,pw)
+      call writediagfi(ngrid,"p","Pressure","Pa",3,pplay)
 
 !     Subsurface temperatures
@@ -2034,27 +1935,30 @@
 !        call writediagsoil(ngrid,"temp","temperature","K",3,tsoil)
 
-!     Oceanic layers
-        if(ok_slab_ocean) then
-          call writediagfi(ngrid,"pctsrf_sic","pct ice/sea","",2,pctsrf_sic)
-          call writediagfi(ngrid,"tsea_ice","tsea_ice","K",2,tsea_ice)
-          call writediagfi(ngrid,"sea_ice","sea ice","kg/m2",2,sea_ice)
-          call writediagfi(ngrid,"tslab1","tslab1","K",2,tslab(:,1))
-          call writediagfi(ngrid,"tslab2","tslab2","K",2,tslab(:,2))
-          call writediagfi(ngrid,"dt_hdiff1","dt_hdiff1","K/s",2,dt_hdiff(:,1))
-          call writediagfi(ngrid,"dt_hdiff2","dt_hdiff2","K/s",2,dt_hdiff(:,2))
-          call writediagfi(ngrid,"dt_ekman1","dt_ekman1","K/s",2,dt_ekman(:,1))
-          call writediagfi(ngrid,"dt_ekman2","dt_ekman2","K/s",2,dt_ekman(:,2))
-          call writediagfi(ngrid,"rnat","nature of the surface","",2,rnat)
-          call writediagfi(ngrid,"sensibFlux","sensible heat flux","w.m^-2",2,sensibFlux)
-          call writediagfi(ngrid,"latentFlux","latent heat flux","w.m^-2",2,zdqsdif(:,igcm_h2o_vap)*RLVTT)
-       endif! (ok_slab_ocean)
-
-!     Total energy balance diagnostics
-        if(callrad.and.(.not.newtonian))then
-           call writediagfi(ngrid,"ALB","Surface albedo"," ",2,albedo)
-           call writediagfi(ngrid,"ISR","incoming stellar rad.","W m-2",2,fluxtop_dn)
-           call writediagfi(ngrid,"ASR","absorbed stellar rad.","W m-2",2,fluxabs_sw)
-           call writediagfi(ngrid,"OLR","outgoing longwave rad.","W m-2",2,fluxtop_lw)
-           call writediagfi(ngrid,"shad","rings"," ", 2, fract)
+      ! Oceanic layers
+      if(ok_slab_ocean) then
+         call writediagfi(ngrid,"pctsrf_sic","pct ice/sea","",2,pctsrf_sic)
+         call writediagfi(ngrid,"tsea_ice","tsea_ice","K",2,tsea_ice)
+         call writediagfi(ngrid,"sea_ice","sea ice","kg/m2",2,sea_ice)
+         call writediagfi(ngrid,"tslab1","tslab1","K",2,tslab(:,1))
+         call writediagfi(ngrid,"tslab2","tslab2","K",2,tslab(:,2))
+         call writediagfi(ngrid,"dt_hdiff1","dt_hdiff1","K/s",2,dt_hdiff(:,1))
+         call writediagfi(ngrid,"dt_hdiff2","dt_hdiff2","K/s",2,dt_hdiff(:,2))
+         call writediagfi(ngrid,"dt_ekman1","dt_ekman1","K/s",2,dt_ekman(:,1))
+         call writediagfi(ngrid,"dt_ekman2","dt_ekman2","K/s",2,dt_ekman(:,2))
+         call writediagfi(ngrid,"rnat","nature of the surface","",2,rnat)
+         call writediagfi(ngrid,"sensibFlux","sensible heat flux","w.m^-2",2,sensibFlux)
+         call writediagfi(ngrid,"latentFlux","latent heat flux","w.m^-2",2,zdqsdif(:,igcm_h2o_vap)*RLVTT)
+      endif
+      
+
+      ! Total energy balance diagnostics
+      if(callrad.and.(.not.newtonian))then
+      
+         call writediagfi(ngrid,"ALB","Surface albedo"," ",2,albedo)
+         call writediagfi(ngrid,"ISR","incoming stellar rad.","W m-2",2,fluxtop_dn)
+         call writediagfi(ngrid,"ASR","absorbed stellar rad.","W m-2",2,fluxabs_sw)
+         call writediagfi(ngrid,"OLR","outgoing longwave rad.","W m-2",2,fluxtop_lw)
+         call writediagfi(ngrid,"shad","rings"," ", 2, fract)
+         
 !           call writediagfi(ngrid,"ASRcs","absorbed stellar rad (cs).","W m-2",2,fluxabs_sw1)
 !           call writediagfi(ngrid,"OLRcs","outgoing longwave rad (cs).","W m-2",2,fluxtop_lw1)
@@ -2063,100 +1967,119 @@
 !           call writediagfi(ngrid,"fluxsurfswcs","sw surface flux (cs).","W m-2",2,fluxsurf_sw1)
 !           call writediagfi(ngrid,"fluxsurflwcs","lw back radiation (cs).","W m-2",2,fluxsurf_lw1)
-           if(ok_slab_ocean) then
-             call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrdocean)
-           else
-             call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrd)
-           endif!(ok_slab_ocean)
-           call writediagfi(ngrid,"DYN","dynamical heat input","W m-2",2,fluxdyn)
-	 endif
+
+         if(ok_slab_ocean) then
+            call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrdocean)
+         else
+            call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrd)
+         endif
+         
+         call writediagfi(ngrid,"DYN","dynamical heat input","W m-2",2,fluxdyn)
+         
+      endif ! end of 'callrad'
 	
-	if(enertest) then
-	  if (calldifv) then
-	     call writediagfi(ngrid,"q2","turbulent kinetic energy","J.kg^-1",3,q2)
+      if(enertest) then
+      
+	 if (calldifv) then
+         
+	    call writediagfi(ngrid,"q2","turbulent kinetic energy","J.kg^-1",3,q2)
+            call writediagfi(ngrid,"sensibFlux","sensible heat flux","w.m^-2",2,sensibFlux)
+            
 !	     call writediagfi(ngrid,"dEzdiff","turbulent diffusion heating (-sensible flux)","w.m^-2",3,dEzdiff)
 !	     call writediagfi(ngrid,"dEdiff","integrated turbulent diffusion heating (-sensible flux)","w.m^-2",2,dEdiff)
 !	     call writediagfi(ngrid,"dEdiffs","In TurbDiff (correc rad+latent heat) surf nrj change","w.m^-2",2,dEdiffs)
-	     call writediagfi(ngrid,"sensibFlux","sensible heat flux","w.m^-2",2,sensibFlux)
-	  endif
-	  if (corrk) then
-	     call writediagfi(ngrid,"dEzradsw","radiative heating","w.m^-2",3,dEzradsw)
-	     call writediagfi(ngrid,"dEzradlw","radiative heating","w.m^-2",3,dEzradlw)
-	  endif 
-          if(watercond) then
+	     
+	 endif
+          
+	 if (corrk) then
+	    call writediagfi(ngrid,"dEzradsw","radiative heating","w.m^-2",3,dEzradsw)
+	    call writediagfi(ngrid,"dEzradlw","radiative heating","w.m^-2",3,dEzradlw)
+	 endif
+          
+         if(watercond) then
+
+	    call writediagfi(ngrid,"lscaledE","heat from largescale","W m-2",2,lscaledE) 
+	    call writediagfi(ngrid,"madjdE","heat from moistadj","W m-2",2,madjdE)
+	    call writediagfi(ngrid,"qsatatm","atm qsat"," ",3,qsat)
+             
 !	     call writediagfi(ngrid,"lscaledEz","heat from largescale","W m-2",3,lscaledEz) 
-!	     call writediagfi(ngrid,"madjdEz","heat from moistadj","W m-2",3,madjdEz)
-	     call writediagfi(ngrid,"lscaledE","heat from largescale","W m-2",2,lscaledE) 
-	     call writediagfi(ngrid,"madjdE","heat from moistadj","W m-2",2,madjdE)
-	     call writediagfi(ngrid,"qsatatm","atm qsat"," ",3,qsat)
+!	     call writediagfi(ngrid,"madjdEz","heat from moistadj","W m-2",3,madjdEz)             
 !	     call writediagfi(ngrid,"h2o_max_col","maximum H2O column amount","kg.m^-2",2,H2Omaxcol)
-          endif 
-        endif
-
-!     Temporary inclusions for heating diagnostics
-!        call writediagfi(ngrid,"zdtdyn","Dyn. heating","T s-1",3,zdtdyn)
-        call writediagfi(ngrid,"zdtsw","SW heating","T s-1",3,zdtsw)
-        call writediagfi(ngrid,"zdtlw","LW heating","T s-1",3,zdtlw)
-        call writediagfi(ngrid,"dtrad","radiative heating","K s-1",3,dtrad)
-
-        ! debugging
+
+         endif
+          
+      endif ! end of 'enertest'
+
+
+        ! Temporary inclusions for heating diagnostics.
+        !call writediagfi(ngrid,"zdtsw","SW heating","T s-1",3,zdtsw)
+        !call writediagfi(ngrid,"zdtlw","LW heating","T s-1",3,zdtlw)
+        !call writediagfi(ngrid,"dtrad","radiative heating","K s-1",3,dtrad)
+        ! call writediagfi(ngrid,"zdtdyn","Dyn. heating","T s-1",3,zdtdyn)
+        
+        ! For Debugging.
         !call writediagfi(ngrid,'rnat','Terrain type',' ',2,real(rnat))
         !call writediagfi(ngrid,'pphi','Geopotential',' ',3,pphi)
-
-!     Output aerosols
-        if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
-	  call writediagfi(ngrid,'CO2ice_reff','CO2ice_reff','m',3,reffrad(1,1,iaero_co2))
-        if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
-	  call writediagfi(ngrid,'H2Oice_reff','H2Oice_reff','m',3,reffrad(:,:,iaero_h2o))
-        if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
-	  call writediagfi(ngrid,'CO2ice_reffcol','CO2ice_reffcol','um kg m^-2',2,reffcol(1,iaero_co2))
-        if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
-	  call writediagfi(ngrid,'H2Oice_reffcol','H2Oice_reffcol','um kg m^-2',2,reffcol(1,iaero_h2o))
-
-!     Output tracers
-       if (tracer) then
-        do iq=1,nq
-          call writediagfi(ngrid,noms(iq),noms(iq),'kg/kg',3,zq(1,1,iq))
+        
+
+      ! Output aerosols.
+      if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
+	 call writediagfi(ngrid,'CO2ice_reff','CO2ice_reff','m',3,reffrad(1,1,iaero_co2))
+      if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
+	 call writediagfi(ngrid,'H2Oice_reff','H2Oice_reff','m',3,reffrad(:,:,iaero_h2o))
+      if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
+	 call writediagfi(ngrid,'CO2ice_reffcol','CO2ice_reffcol','um kg m^-2',2,reffcol(1,iaero_co2))
+      if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
+	 call writediagfi(ngrid,'H2Oice_reffcol','H2Oice_reffcol','um kg m^-2',2,reffcol(1,iaero_h2o))
+
+      ! Output tracers.
+      if (tracer) then
+      
+         do iq=1,nq
+            call writediagfi(ngrid,noms(iq),noms(iq),'kg/kg',3,zq(1,1,iq))
+            call writediagfi(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
+                             'kg m^-2',2,qsurf_hist(1,iq) )
+            call writediagfi(ngrid,trim(noms(iq))//'_col',trim(noms(iq))//'_col',    & 
+                            'kg m^-2',2,qcol(1,iq) )
+                          
 !          call writediagfi(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
-!                          'kg m^-2',2,qsurf(1,iq) )
-          call writediagfi(ngrid,trim(noms(iq))//'_surf',trim(noms(iq))//'_surf',  & 
-                          'kg m^-2',2,qsurf_hist(1,iq) )
-          call writediagfi(ngrid,trim(noms(iq))//'_col',trim(noms(iq))//'_col',    & 
-                          'kg m^-2',2,qcol(1,iq) )
-
-          if(watercond.or.CLFvarying)then
-             call writediagfi(ngrid,"rneb_man","H2O cloud fraction (conv)"," ",3,rneb_man)
-             call writediagfi(ngrid,"rneb_lsc","H2O cloud fraction (large scale)"," ",3,rneb_lsc)
-             call writediagfi(ngrid,"CLF","H2O cloud fraction"," ",3,cloudfrac)
-             call writediagfi(ngrid,"CLFt","H2O column cloud fraction"," ",2,totcloudfrac)
-	     call writediagfi(ngrid,"RH","relative humidity"," ",3,RH)
-          endif
-
-          if(waterrain)then
-             call writediagfi(ngrid,"rain","rainfall","kg m-2 s-1",2,zdqsrain)
-             call writediagfi(ngrid,"snow","snowfall","kg m-2 s-1",2,zdqssnow)
-          endif
-
-          if((hydrology).and.(.not.ok_slab_ocean))then
-             call writediagfi(ngrid,"hice","oceanic ice height","m",2,hice)
-          endif
-
-          if(ice_update)then
-             call writediagfi(ngrid,"ice_min","min annual ice","m",2,ice_min)
-             call writediagfi(ngrid,"ice_ini","initial annual ice","m",2,ice_initial)
-          endif
-
-          do ig=1,ngrid
-             if(tau_col(ig).gt.1.e3)then
-!                print*,'WARNING: tau_col=',tau_col(ig)
-!                print*,'at ig=',ig,'in PHYSIQ'
-             endif
-          end do
-
-          call writediagfi(ngrid,"tau_col","Total aerosol optical depth","[]",2,tau_col)
-
-        enddo
-       endif
-
-!      output spectrum 
+!                          'kg m^-2',2,qsurf(1,iq) )                          
+
+            if(watercond.or.CLFvarying)then
+               call writediagfi(ngrid,"rneb_man","H2O cloud fraction (conv)"," ",3,rneb_man)
+               call writediagfi(ngrid,"rneb_lsc","H2O cloud fraction (large scale)"," ",3,rneb_lsc)
+               call writediagfi(ngrid,"CLF","H2O cloud fraction"," ",3,cloudfrac)
+               call writediagfi(ngrid,"CLFt","H2O column cloud fraction"," ",2,totcloudfrac)
+	       call writediagfi(ngrid,"RH","relative humidity"," ",3,RH)
+            endif
+
+            if(waterrain)then
+               call writediagfi(ngrid,"rain","rainfall","kg m-2 s-1",2,zdqsrain)
+               call writediagfi(ngrid,"snow","snowfall","kg m-2 s-1",2,zdqssnow)
+            endif
+
+            if((hydrology).and.(.not.ok_slab_ocean))then
+               call writediagfi(ngrid,"hice","oceanic ice height","m",2,hice)
+            endif
+
+            if(ice_update)then
+               call writediagfi(ngrid,"ice_min","min annual ice","m",2,ice_min)
+               call writediagfi(ngrid,"ice_ini","initial annual ice","m",2,ice_initial)
+            endif
+
+            do ig=1,ngrid
+               if(tau_col(ig).gt.1.e3)then
+                  print*,'WARNING: tau_col=',tau_col(ig)
+                  print*,'at ig=',ig,'in PHYSIQ'
+               endif         
+            end do
+
+            call writediagfi(ngrid,"tau_col","Total aerosol optical depth","[]",2,tau_col)
+
+         enddo ! end of 'nq' loop
+         
+       endif ! end of 'tracer'
+
+
+      ! Output spectrum.
       if(specOLR.and.corrk)then      
          call writediagspecIR(ngrid,"OLR3D","OLR(lon,lat,band)","W/m^2/cm^-1",3,OLR_nu)
@@ -2166,100 +2089,3 @@
       icount=icount+1
 
-      if (lastcall) then
-
-        ! deallocate gas variables
-!$OMP BARRIER
-!$OMP MASTER
-        IF ( ALLOCATED( gnom ) ) DEALLOCATE( gnom )
-        IF ( ALLOCATED( gfrac ) ) DEALLOCATE( gfrac )  ! both allocated in su_gases.F90
-!$OMP END MASTER
-!$OMP BARRIER
-
-        ! deallocate saved arrays
-        ! this is probably not that necessary
-        ! ... but probably a good idea to clean the place before we leave
-        IF ( ALLOCATED(tsurf)) DEALLOCATE(tsurf)
-        IF ( ALLOCATED(tsoil)) DEALLOCATE(tsoil)
-        IF ( ALLOCATED(albedo)) DEALLOCATE(albedo)
-        IF ( ALLOCATED(albedo0)) DEALLOCATE(albedo0)
-        IF ( ALLOCATED(rnat)) DEALLOCATE(rnat)
-        IF ( ALLOCATED(emis)) DEALLOCATE(emis)
-        IF ( ALLOCATED(dtrad)) DEALLOCATE(dtrad)
-        IF ( ALLOCATED(fluxrad_sky)) DEALLOCATE(fluxrad_sky)
-        IF ( ALLOCATED(fluxrad)) DEALLOCATE(fluxrad)
-        IF ( ALLOCATED(capcal)) DEALLOCATE(capcal)
-        IF ( ALLOCATED(fluxgrd)) DEALLOCATE(fluxgrd)
-        IF ( ALLOCATED(qsurf)) DEALLOCATE(qsurf)
-        IF ( ALLOCATED(q2)) DEALLOCATE(q2)
-        IF ( ALLOCATED(ztprevious)) DEALLOCATE(ztprevious)
-	IF ( ALLOCATED(hice)) DEALLOCATE(hice)
-        IF ( ALLOCATED(cloudfrac)) DEALLOCATE(cloudfrac)
-        IF ( ALLOCATED(totcloudfrac)) DEALLOCATE(totcloudfrac)
-        IF ( ALLOCATED(qsurf_hist)) DEALLOCATE(qsurf_hist)
-        IF ( ALLOCATED(reffrad)) DEALLOCATE(reffrad)
-        IF ( ALLOCATED(nueffrad)) DEALLOCATE(nueffrad)
-        IF ( ALLOCATED(ice_initial)) DEALLOCATE(ice_initial)
-        IF ( ALLOCATED(ice_min)) DEALLOCATE(ice_min)
-
-        IF ( ALLOCATED(fluxsurf_lw)) DEALLOCATE(fluxsurf_lw)
-        IF ( ALLOCATED(fluxsurf_sw)) DEALLOCATE(fluxsurf_sw)
-        IF ( ALLOCATED(fluxtop_lw)) DEALLOCATE(fluxtop_lw)
-        IF ( ALLOCATED(fluxabs_sw)) DEALLOCATE(fluxabs_sw)
-        IF ( ALLOCATED(fluxtop_dn)) DEALLOCATE(fluxtop_dn)
-        IF ( ALLOCATED(fluxdyn)) DEALLOCATE(fluxdyn)
-        IF ( ALLOCATED(OLR_nu)) DEALLOCATE(OLR_nu)
-        IF ( ALLOCATED(OSR_nu)) DEALLOCATE(OSR_nu)
-        IF ( ALLOCATED(sensibFlux)) DEALLOCATE(sensibFlux)
-        IF ( ALLOCATED(zdtlw)) DEALLOCATE(zdtlw)
-        IF ( ALLOCATED(zdtsw)) DEALLOCATE(zdtsw)
-        IF ( ALLOCATED(tau_col)) DEALLOCATE(tau_col)
-	IF ( ALLOCATED(pctsrf_sic)) DEALLOCATE(pctsrf_sic)
-        IF ( ALLOCATED(tslab)) DEALLOCATE(tslab)
-        IF ( ALLOCATED(tsea_ice)) DEALLOCATE(tsea_ice)
-        IF ( ALLOCATED(sea_ice)) DEALLOCATE(sea_ice)
-        IF ( ALLOCATED(zmasq)) DEALLOCATE(zmasq)
-        IF ( ALLOCATED(knindex)) DEALLOCATE(knindex)
-
-        !! this is defined in comsaison_h
-        IF ( ALLOCATED(mu0)) DEALLOCATE(mu0)
-        IF ( ALLOCATED(fract)) DEALLOCATE(fract)
-
-        !! this is defined in comsoil_h
-        IF ( ALLOCATED(layer)) DEALLOCATE(layer)
-        IF ( ALLOCATED(mlayer)) DEALLOCATE(mlayer)
-        IF ( ALLOCATED(inertiedat)) DEALLOCATE(inertiedat)
-
-        !! this is defined in surfdat_h
-        IF ( ALLOCATED(albedodat)) DEALLOCATE(albedodat)
-        IF ( ALLOCATED(phisfi)) DEALLOCATE(phisfi)
-        IF ( ALLOCATED(zmea)) DEALLOCATE(zmea)
-        IF ( ALLOCATED(zstd)) DEALLOCATE(zstd)
-        IF ( ALLOCATED(zsig)) DEALLOCATE(zsig)
-        IF ( ALLOCATED(zgam)) DEALLOCATE(zgam)
-        IF ( ALLOCATED(zthe)) DEALLOCATE(zthe)
-        IF ( ALLOCATED(dryness)) DEALLOCATE(dryness)
-        IF ( ALLOCATED(watercaptag)) DEALLOCATE(watercaptag)
- 
-        !! this is defined in tracer_h
-        IF ( ALLOCATED(noms)) DEALLOCATE(noms)
-        IF ( ALLOCATED(mmol)) DEALLOCATE(mmol)
-        IF ( ALLOCATED(radius)) DEALLOCATE(radius)
-        IF ( ALLOCATED(rho_q)) DEALLOCATE(rho_q)
-        IF ( ALLOCATED(qext)) DEALLOCATE(qext)
-        IF ( ALLOCATED(alpha_lift)) DEALLOCATE(alpha_lift)
-        IF ( ALLOCATED(alpha_devil)) DEALLOCATE(alpha_devil)
-        IF ( ALLOCATED(qextrhor)) DEALLOCATE(qextrhor)
-        IF ( ALLOCATED(igcm_dustbin)) DEALLOCATE(igcm_dustbin)
-
-        !! this is defined in comgeomfi_h
-        IF ( ALLOCATED(lati)) DEALLOCATE(lati)
-        IF ( ALLOCATED(long)) DEALLOCATE(long)
-        IF ( ALLOCATED(area)) DEALLOCATE(area)
-        IF ( ALLOCATED(sinlat)) DEALLOCATE(sinlat)
-        IF ( ALLOCATED(coslat)) DEALLOCATE(coslat)
-        IF ( ALLOCATED(sinlon)) DEALLOCATE(sinlon)
-        IF ( ALLOCATED(coslon)) DEALLOCATE(coslon)
-      endif
-
-      return
     end subroutine physiq
Index: trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1470)
+++ trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1477)
@@ -3,5 +3,5 @@
           pplay,pplev,pzlay,pzlev,pz0,                 &
           pu,pv,pt,ppopsk,pq,ptsrf,pemis,pqsurf,       &
-          pdufi,pdvfi,pdtfi,pdqfi,pfluxsrf,            &
+          pdtfi,pdqfi,pfluxsrf,            &
           Pdudif,pdvdif,pdtdif,pdtsrf,sensibFlux,pq2,  &
           pdqdif,pdqevap,pdqsdif,flux_u,flux_v,lastcall)
@@ -54,5 +54,4 @@
       REAL,INTENT(IN) :: ptsrf(ngrid) ! surface temperature (K)
       REAL,INTENT(IN) :: pemis(ngrid)
-      REAL,INTENT(IN) :: pdufi(ngrid,nlay),pdvfi(ngrid,nlay)
       REAL,INTENT(IN) :: pdtfi(ngrid,nlay)
       REAL,INTENT(IN) :: pfluxsrf(ngrid)
@@ -189,6 +188,6 @@
       DO ilev=1,nlay
          DO ig=1,ngrid
-            zu(ig,ilev)=pu(ig,ilev)+pdufi(ig,ilev)*ptimestep
-            zv(ig,ilev)=pv(ig,ilev)+pdvfi(ig,ilev)*ptimestep
+            zu(ig,ilev)=pu(ig,ilev)
+            zv(ig,ilev)=pv(ig,ilev)
             zt(ig,ilev)=pt(ig,ilev)+pdtfi(ig,ilev)*ptimestep
             zh(ig,ilev)=pt(ig,ilev)*zovExner(ig,ilev) !for call vdif_kc, but could be moved and computed there
@@ -689,6 +688,6 @@
       do ilev = 1, nlay
          do ig=1,ngrid
-            pdudif(ig,ilev)=(zu(ig,ilev)-(pu(ig,ilev)+pdufi(ig,ilev)*ptimestep))/ptimestep
-            pdvdif(ig,ilev)=(zv(ig,ilev)-(pv(ig,ilev)+pdvfi(ig,ilev)*ptimestep))/ptimestep
+            pdudif(ig,ilev)=(zu(ig,ilev)-(pu(ig,ilev)))/ptimestep
+            pdvdif(ig,ilev)=(zv(ig,ilev)-(pv(ig,ilev)))/ptimestep
             pdtdif(ig,ilev)=( zt(ig,ilev)- pt(ig,ilev))/ptimestep-pdtfi(ig,ilev)
          enddo
Index: trunk/LMDZ.GENERIC/libf/phystd/vdifc.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1470)
+++ trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1477)
@@ -3,5 +3,5 @@
      &     pplay,pplev,pzlay,pzlev,pz0,
      &     pu,pv,ph,pq,ptsrf,pemis,pqsurf,
-     &     pdufi,pdvfi,pdhfi,pdqfi,pfluxsrf,
+     &     pdhfi,pdqfi,pfluxsrf,
      &     pdudif,pdvdif,pdhdif,pdtsrf,sensibFlux,pq2,
      &     pdqdif,pdqsdif,lastcall)
@@ -49,5 +49,5 @@
       REAL pu(ngrid,nlay),pv(ngrid,nlay),ph(ngrid,nlay)
       REAL ptsrf(ngrid),pemis(ngrid)
-      REAL pdufi(ngrid,nlay),pdvfi(ngrid,nlay),pdhfi(ngrid,nlay)
+      REAL pdhfi(ngrid,nlay)
       REAL pfluxsrf(ngrid)
       REAL pdudif(ngrid,nlay),pdvdif(ngrid,nlay),pdhdif(ngrid,nlay)
@@ -205,6 +205,6 @@
       DO ilev=1,nlay
          DO ig=1,ngrid
-            zu(ig,ilev)=pu(ig,ilev)+pdufi(ig,ilev)*ptimestep
-            zv(ig,ilev)=pv(ig,ilev)+pdvfi(ig,ilev)*ptimestep
+            zu(ig,ilev)=pu(ig,ilev)
+            zv(ig,ilev)=pv(ig,ilev)
             zh(ig,ilev)=ph(ig,ilev)+pdhfi(ig,ilev)*ptimestep
          ENDDO
@@ -662,7 +662,7 @@
          do ig=1,ngrid
             pdudif(ig,ilev)=(zu(ig,ilev)-
-     &           (pu(ig,ilev)+pdufi(ig,ilev)*ptimestep))/ptimestep
+     &           (pu(ig,ilev)))/ptimestep
             pdvdif(ig,ilev)=(zv(ig,ilev)-
-     &           (pv(ig,ilev)+pdvfi(ig,ilev)*ptimestep))/ptimestep
+     &           (pv(ig,ilev)))/ptimestep
             hh = ph(ig,ilev)+pdhfi(ig,ilev)*ptimestep 
 
